# $Revision: 1.27 $, $Date: 2011/03/23 15:40:21 $
Summary:	Animation frameworks for Elisa
Summary(pl.UTF-8):	Framework animacji dla projektu Elisa
Name:		pigment
Version:	0.3.17
Release:	5
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://elisa.fluendo.com/static/download/pigment/%{name}-%{version}.tar.bz2
# Source0-md5:	b0947a18cc9265f3129ff4b069c1ed0c
URL:		https://code.fluendo.com/pigment/trac
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	cairo-devel >= 1.4.0
BuildRequires:	glib2-devel >= 1:2.8.0
BuildRequires:	gstreamer-devel >= 0.10.13
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.0
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	pango-devel >= 1:1.16
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	xorg-lib-libXrandr-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rendering, animation and widget frameworks for Elisa.

%description -l pl.UTF-8
Framework renderowania animacji i widgetów dla projektu Elisa.

%package devel
Summary:	Header files for pigment libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek pigment
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.8.0
Requires:	gstreamer-devel >= 0.10.13
Requires:	gstreamer-plugins-base-devel >= 0.10.0
Requires:	gtk+2-devel >= 2:2.12.0

%description devel
Header files for pigment libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek pigment.

%package static
Summary:	Static pigment libraries
Summary(pl.UTF-8):	Statyczne biblioteki pigment
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static pigment libraries.

%description static -l pl.UTF-8
Statyczne biblioteki pigment.

%prep
%setup -q

%build
%configure \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pigment-0.3/%{version}/*.{la,a}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpigment-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpigment-0.3.so.11
%attr(755,root,root) %{_libdir}/libpigment-gtk-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpigment-gtk-0.3.so.11
%attr(755,root,root) %{_libdir}/libpigment-imaging-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpigment-imaging-0.3.so.11
%dir %{_libdir}/pigment-0.3
%dir %{_libdir}/pigment-0.3/%{version}
%dir %{_libdir}/pigment-0.3/%{version}/*.so*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpigment-0.3.so
%attr(755,root,root) %{_libdir}/libpigment-gtk-0.3.so
%attr(755,root,root) %{_libdir}/libpigment-imaging-0.3.so
%{_includedir}/pigment-0.3
%{_pkgconfigdir}/pigment-0.3.pc
%{_pkgconfigdir}/pigment-gtk-0.3.pc
%{_pkgconfigdir}/pigment-imaging-0.3.pc
%{_gtkdocdir}/pigment

%files static
%defattr(644,root,root,755)
%{_libdir}/libpigment-0.3.a
%{_libdir}/libpigment-gtk-0.3.a
%{_libdir}/libpigment-imaging-0.3.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pigment.spec,v $
Revision 1.27  2011/03/23 15:40:21  wiget
- removed obsoleted rm
- rel. 5

Revision 1.26  2011/03/23 15:36:16  wiget
- drop libtool file
- use %{__rm} macro

Revision 1.25  2010/11/25 10:00:24  hawk
- release 3

Revision 1.24  2010/02/06 22:18:54  sparky
- dropped unused BR: python-pygobject-devel, rpm-pythonprov

Revision 1.23  2010/02/06 21:00:03  arekm
- release 2

Revision 1.22  2009/10/13 22:56:27  emes
- up to 0.3.17

Revision 1.21  2009/06/17 21:18:10  hawk
- release 2

Revision 1.20  2009/03/14 15:35:17  duddits
- up to 0.3.15
- %files

Revision 1.19  2008/12/17 13:05:02  luzik
- updated to 0.3.13, STBR

Revision 1.18  2008/11/21 09:46:21  luzik
- updated to 0.3.12, STBR

Revision 1.17  2008/11/10 22:09:44  megabajt
- release 2

Revision 1.16  2008/10/14 11:37:51  luzik
 - updated to 0.3.11

Revision 1.15  2008/09/30 12:33:46  luzik
- updated to 0.3.10, STBR

Revision 1.14  2008/08/31 15:51:39  luzik
- fixed URL

Revision 1.13  2008/08/22 19:45:28  blues
- rel.1

Revision 1.12  2008/08/22 19:44:34  blues
- 0.3.7 - fixed url and soname

Revision 1.11  2008-05-02 18:48:05  luzik
- updated to 3.5

Revision 1.10  2008-02-17 22:52:53  qboosh
- devel deps

Revision 1.9  2008-02-17 22:50:17  qboosh
- fixed base/devel split, added -static
- License is LGPL (v2+)

Revision 1.8  2008-02-17 19:04:39  luzik
- updated to 0.3.4

Revision 1.7  2007/10/20 09:51:15  qboosh
- thinko

Revision 1.6  2007/10/18 19:09:32  luzik
- up to 0.3.2

Revision 1.5  2007/05/17 20:19:58  qboosh
- BRs
- added -devel

Revision 1.4  2007/04/22 13:05:27  patrys
- 0.1.5

Revision 1.3  2007/04/05 16:14:48  qboosh
- some cleanups; BR missing?

Revision 1.2  2007/03/31 20:33:10  luzik
- utf8

Revision 1.1  2007/03/31 18:32:54  luzik
- initial PLD release
